Unit fMain;

{$mode objfpc}{$H+}

Interface

Uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, ubarcodes, Math;

Type

  { TfrmMain }

  TfrmMain = Class(TForm)
    DataMatrix: TBarcodeDataMatrix;
    pan2D: TPanel;
    rgUhr: TRadioGroup;
    tmr: TTimer;
    Procedure FormCreate(Sender: TObject);
    Procedure tmrTimer(Sender: TObject);
  private

  public

  End;

Var
  frmMain: TfrmMain;

Implementation

{$R *.lfm}

{ TfrmMain }

Procedure TfrmMain.tmrTimer(Sender: TObject);
Var iHW: Integer;
Begin
  iHW := Min(pan2D.Width, pan2D.Height) - 16;
  DataMatrix.Width := iHW;
  DataMatrix.Height := iHW;
  DataMatrix.Left := (pan2D.Width - iHW) Div 2;
  DataMatrix.Top := (pan2D.Height - iHW) Div 2;
  DataMatrix.Text := FormatDateTime(rgUhr.Items[rgUhr.ItemIndex], Now);
end;

Procedure TfrmMain.FormCreate(Sender: TObject);
Begin
  tmrTimer(Nil);
end;

End.

